package ru.yandex.autotests.directapi.model.common;

/**
 * Created by IntelliJ IDEA.
 * User: mariabye
 * Date: 11.09.12
 * Time: 18:29
 * To change this template use File | Settings | File Templates.
 */
public final class RegionIDValues {
    public final static String MOSCOW_ID = "213";
    public final static String SPB_ID = "2";
    public final static String MOSCOW_AND_MOSCOW_REGION_ID = "1";
    public final static String SPB_AND_LENINGRAD_REGION_ID = "10174";
    public final static String TURKEY_REGION_ID = "983";
    public final static String ENGLISH_REGION_ID = "102";
    public final static String UKRAINIAN_REGION_ID = "187";
    public static final String RUSSIAN_REGION_ID = "2";     //SPB in this case
    public static final String KAZAKH_REGION_ID = "159";
    public static final String CRIMEA_REGION_ID = "977";
    public static final String RUSSIA_REGION_ID = "225";
    public static final String ASTANA_REGION_ID = "163";
    public static final String BELARUS_REGION_ID = "149";
    public static final Integer PORTUGAL_REGION_ID = 10074;
    public static final Integer ROMANIA_REGION_ID = 10077;

    public static final String EUROPE_REGION_ID = "111";
    public static final String ASIA_REGION_ID = "183";
    public static final String SNG_REGION_ID = "166";
    public static final String GERMANY_REGION_ID = "96";
    public static final String SEVASTOPOL_REGION_ID = "959";
    public static final int KIEV_REGION_ID = 143;
    public static final String ANY_REGION_ID = "0";

    // parts of UKRAINIAN_WEST
    public static final Integer LVOV_DISTRICT = 20529;
    public static final Integer ZAKARPATTIA_DISTRICT = 20530;
    public static final Integer TERNOPIL_DISTRICT = 20531;
    public static final Integer IVANO_FRANKOVSK_DISTRICT = 20532;
    public static final Integer CHERNOVTCI_DISTRICT = 20533;
    public static final Integer ROVNO_DISTRICT = 20534;
    public static final Integer KHMELNITSKY_DISTRICT = 20535;
    public static final Integer VOLYN_OBLAST = 20550;
    public static final Long[] UKRAINIAN_WEST_PARTS = new Long[]{
            LVOV_DISTRICT.longValue(),
            ZAKARPATTIA_DISTRICT.longValue(),
            TERNOPIL_DISTRICT.longValue(),
            IVANO_FRANKOVSK_DISTRICT.longValue(),
            CHERNOVTCI_DISTRICT.longValue(),
            ROVNO_DISTRICT.longValue(),
            KHMELNITSKY_DISTRICT.longValue(),
            VOLYN_OBLAST.longValue()
    };

    // parts of UKRAINIAN_EAST
    public static final Integer DONETSK_REGION = 20536;
    public static final Integer DNIPROPETRKOVSK_REGION = 20537;
    public static final Integer KHARKIV_REGION = 20538;
    public static final Integer ZAPORIZHIA_REGION = 20539;
    public static final Integer LUHANSK_REGION = 20540;
    public static final Long[] UKRAINIAN_EAST_PARTS = new Long[]{
            DONETSK_REGION.longValue(),
            DNIPROPETRKOVSK_REGION.longValue(),
            KHARKIV_REGION.longValue(),
            ZAPORIZHIA_REGION.longValue(),
            LUHANSK_REGION.longValue()
    };

    // parts of UKRAINIAN_SOUTH
    public static final Integer ODESSA_DISTRICT = 20541;
    public static final Integer KHERSON_DISTRICT = 20542;
    public static final Integer NIKOLAEV_DISTRICT = 20543;
    public static final Long[] UKRAINIAN_SOUTH_PARTS = new Long[]{
            ODESSA_DISTRICT.longValue(),
            KHERSON_DISTRICT.longValue(),
            NIKOLAEV_DISTRICT.longValue()
    };

    // parts of UKRAINIAN_CENTER
    public static final Integer KYIV_REGION = 20544;
    public static final Integer VINNYTSIA_REGION = 20545;
    public static final Integer CHERKASSI_DISTRICT = 20546;
    public static final Integer ZHITOMYR_REGION = 20547;
    public static final Integer KIROVOHRAD_REGION = 20548;
    public static final Integer POLTAVA_REGION = 20549;
    public static final Long[] UKRAINIAN_CENTER_PARTS = new Long[]{
            KYIV_REGION.longValue(),
            VINNYTSIA_REGION.longValue(),
            CHERKASSI_DISTRICT.longValue(),
            ZHITOMYR_REGION.longValue(),
            KIROVOHRAD_REGION.longValue(),
            POLTAVA_REGION.longValue()
    };

    // parts of UKRAINIAN_NORTH
    public static final Integer CHERNIHIV_REGION = 20551;
    public static final Integer SUMI_DISTRICT = 20552;
    public static final Long[] UKRAINIAN_NORTH_PARTS = new Long[]{
            CHERNIHIV_REGION.longValue(),
            SUMI_DISTRICT.longValue()
    };

    // parts of BALTIC
    public static final Integer LITHUANIA = 117;
    public static final Integer ESTONIA = 179;
    public static final Integer LATVIA = 206;
    public static final Long[] BALTIC_PARTS = new Long[]{
            LITHUANIA.longValue(),
            ESTONIA.longValue(),
            LATVIA.longValue()
    };

    // parts of NEAR_EAST
    public static final Integer EGYPT = 1056;
    public static final Integer ISRAEL = 181;
    public static final Integer UNITED_ARAB_EMIRATES = 210;
    public static final Long[] NEAR_EAST_PARTS = new Long[]{
            EGYPT.longValue(),
            ISRAEL.longValue(),
            UNITED_ARAB_EMIRATES.longValue()
    };
}
